# $Revision: 1.24 $, $Date: 2012/02/12 08:19:01 $
Summary:	Audio sub system for multiple applications
Summary(pl.UTF-8):	Dźwiękowy podsystem dla złożonych aplikacji
Name:		FusionSound
Version:	1.1.1
Release:	9
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/downloads/Core/%{name}-%{version}.tar.gz
# Source0-md5:	f29b0e6bb693e59b7303c163c737a39b
Patch0:		%{name}-conf.patch
Patch1:		%{name}-git.patch
Patch2:		%{name}-leck.patch
Patch3:		compile.patch
Patch4:		%{name}-update.patch
Patch5:		%{name}-ffmpeg.patch
URL:		http://www.directfb.org/index.php?path=Platform/FusionSound
BuildRequires:	DirectFB-devel >= 1:1.4.15
# for examples
BuildRequires:	LiTE-devel >= 0.8.9
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.9-4.20080822
BuildRequires:	libcddb-devel >= 1.0.0
BuildRequires:	libmad-devel
BuildRequires:	libtimidity-devel >= 0.1.0
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0.0
BuildRequires:	pkgconfig >= 1:0.9
Requires:	DirectFB >= 1:1.4.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dfblibdir	%{_libdir}/directfb-1.4-6

%description
FusionSound supports multiple applications using Fusion IPC. It
provides streams, static sound buffers and control over any number of
concurrent playbacks. Sample data is always stored in shared memory,
starting a playback simply adds an entry to the playlist of the mixer
thread in the master application.

%description -l pl.UTF-8
FusionSound wspiera złożone aplikacje używające Fusion IPC. Dostarcza
strumieni, statyczny bufor dźwiękowy i kontrolę poprzez każdą ilość
konkurencyjnych odtwarzaczy. Próbkowana dana jest zawsze przechowywana
w pamięci dzielonej. Rozpoczynając odtwarzanie dodaje wejście do listy
odtwarzania miksera w nadrzędnej aplikacji.

%package devel
Summary:	Development files for the FusionSound
Summary(pl.UTF-8):	Pliki rozwojowe dla FusionSound
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB-devel >= 1:1.4.15

%description devel
Header files required for development using FusionSound.

%description devel -l pl.UTF-8
Pliki nagłówkowe wymagane do tworzenia programów z użyciem
FusionSound.

%package static
Summary:	Static FusionSound library
Summary(pl.UTF-8):	Statyczna biblioteka FusionSound
Group:		Development/Libraries
# base for directory, -devel for headers
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FusionSound library.

%description static -l pl.UTF-8
Statyczna biblioteka FusionSound.

%package musicprovider-cdda
Summary:	CD-DA music provider module for FusionSound
Summary(pl.UTF-8):	Moduł FusionSound dostarczający muzykę CD-DA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description musicprovider-cdda
CD-DA music provider module for FusionSound.

%description musicprovider-cdda -l pl.UTF-8
Moduł FusionSound dostarczający muzykę CD-DA.

%package musicprovider-ffmpeg
Summary:	ffmpeg music provider module for FusionSound
Summary(pl.UTF-8):	Moduł FusionSound dostarczający muzykę przez ffmpeg
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description musicprovider-ffmpeg
ffmpeg music provider module for FusionSound.

%description musicprovider-ffmpeg -l pl.UTF-8
Moduł FusionSound dostarczający muzykę przez ffmpeg.

%package musicprovider-mad
Summary:	MP3 libmad music provider module for FusionSound
Summary(pl.UTF-8):	Moduł FusionSound dostarczający muzykę MP3 przez libmad
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description musicprovider-mad
MP3 music provider module for FusionSound.

%description musicprovider-mad -l pl.UTF-8
Moduł FusionSound dostarczający muzykę MP3 przez libmad.

%package musicprovider-timidity
Summary:	MIDI libtimidity music provider module for FusionSound
Summary(pl.UTF-8):	Moduł FusionSound dostarczający muzykę MIDI przez libtimidity
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description musicprovider-timidity
MIDI libtimidity music provider module for FusionSound.

%description musicprovider-timidity -l pl.UTF-8
Moduł FusionSound dostarczający muzykę MIDI przez libtimidity.

%package musicprovider-vorbis
Summary:	Ogg Vorbis music provider module for FusionSound
Summary(pl.UTF-8):	Moduł FusionSound dostarczający muzykę Ogg Vorbis
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description musicprovider-vorbis
Ogg Vorbis music provider module for FusionSound.

%description musicprovider-vorbis -l pl.UTF-8
Moduł FusionSound dostarczający muzykę Ogg Vorbis.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make} \
	FFMPEG_CFLAGS="-I/usr/include/libavcodec -I/usr/include/libavformat"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post 	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO docs/html/[!M]*
%attr(755,root,root) %{_bindir}/fsdump
%attr(755,root,root) %{_bindir}/fsmaster
%attr(755,root,root) %{_bindir}/fsplay
%attr(755,root,root) %{_bindir}/fsproxy
%attr(755,root,root) %{_bindir}/fsvolume
%attr(755,root,root) %{_libdir}/libfusionsound-1.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfusionsound-1.1.so.1
%dir %{dfblibdir}/interfaces/IFusionSound
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSound/libifusionsound.so
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSound/libifusionsound_dispatcher.so
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSound/libifusionsound_requestor.so
%dir %{dfblibdir}/interfaces/IFusionSoundBuffer
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundBuffer/libifusionsoundbuffer_dispatcher.so
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundBuffer/libifusionsoundbuffer_requestor.so
%dir %{dfblibdir}/interfaces/IFusionSoundMusicProvider
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_playlist.so
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_wave.so
%dir %{dfblibdir}/interfaces/IFusionSoundPlayback
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundPlayback/libifusionsoundplayback_dispatcher.so
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundPlayback/libifusionsoundplayback_requestor.so
%dir %{dfblibdir}/interfaces/IFusionSoundStream
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundStream/libifusionsoundstream_dispatcher.so
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundStream/libifusionsoundstream_requestor.so
%dir %{dfblibdir}/snddrivers
%attr(755,root,root) %{dfblibdir}/snddrivers/libfusionsound_alsa.so
%attr(755,root,root) %{dfblibdir}/snddrivers/libfusionsound_oss.so
%attr(755,root,root) %{dfblibdir}/snddrivers/libfusionsound_wave.so
%{_mandir}/man5/fusionsoundrc.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfusionsound.so
%{_libdir}/libfusionsound.la
%{_includedir}/fusionsound
%{_includedir}/fusionsound-internal
%{_pkgconfigdir}/fusionsound.pc
%{_pkgconfigdir}/fusionsound-internal.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libfusionsound.a
# .la makes no sense in -devel (it's module); here for DFB static linking hacks
%{dfblibdir}/interfaces/IFusionSound/lib*.[la]*
%{dfblibdir}/interfaces/IFusionSoundBuffer/lib*.[la]*
%{dfblibdir}/interfaces/IFusionSoundMusicProvider/lib*.[la]*
%{dfblibdir}/interfaces/IFusionSoundPlayback/lib*.[la]*
%{dfblibdir}/interfaces/IFusionSoundStream/lib*.[la]*
%{dfblibdir}/snddrivers/libfusionsound*.[la]*

%files musicprovider-cdda
%defattr(644,root,root,755)
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_cdda.so

%files musicprovider-ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_ffmpeg.so

%files musicprovider-mad
%defattr(644,root,root,755)
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_mad.so

%files musicprovider-timidity
%defattr(644,root,root,755)
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_timidity.so

%files musicprovider-vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{dfblibdir}/interfaces/IFusionSoundMusicProvider/libifusionsoundmusicprovider_vorbis.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: FusionSound.spec,v $
Revision 1.24  2012/02/12 08:19:01  arekm
- release 9

Revision 1.23  2012/01/01 11:34:24  qboosh
- updated update patch, adjusted dfblibdir and dependencies for DirectFB 1.4.15

Revision 1.22  2011/09/11 18:23:52  arekm
- rel 7; builds with latest ffmpeg

Revision 1.21  2011/09/09 19:10:13  arekm
- release 6

Revision 1.20  2011/07/24 15:53:29  arekm
- release 5

Revision 1.19  2011/06/27 19:21:45  arekm
- release 4

Revision 1.18  2011/02/26 07:49:33  arekm
- release 3

Revision 1.17  2010/11/18 18:40:42  qboosh
- added update patch to fix build with DirectFB 1.4.0
- updated dirs for DirectFB 1.4.x

Revision 1.16  2009/10/26 15:25:59  sls
- added compile.patch

Revision 1.15  2008/10/02 06:58:34  arekm
- release 2

Revision 1.14  2008/09/03 21:46:06  qboosh
- updated to 1.1.0 (note: new soname)
- added git,leck patches
- separated music providers with external dependencies

Revision 1.13  2007/03/11 17:11:58  qboosh
- updated to 1.0.0-rc1

Revision 1.12  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.11  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.10  2006/12/11 21:13:42  pluto
- release 2, rebuild with P: *.la.

Revision 1.9  2006/08/18 22:26:11  jackass
- typo

Revision 1.8  2006/05/20 15:12:02  qboosh
- updated to 0.9.25

Revision 1.7  2005/10/23 16:50:56  qboosh
- updated URL

Revision 1.6  2005/10/23 16:23:15  qboosh
- updated to 0.9.23

Revision 1.5  2005/03/05 00:05:07  qboosh
- updated to 0.9.22

Revision 1.4  2005/01/11 22:15:39  qboosh
- updated to 0.9.21

Revision 1.3  2004/01/09 15:49:32  qboosh
- missing dirs, some devel/static reorders (it's module, not library)
- rebuild whole ac/am/lt
- -devel R: DirectFB-devel

Revision 1.2  2004/01/04 16:05:55  yogib
- Rel 1
- added CFLAGS patch, BR: autoconf

Revision 1.1  2004/01/02 21:36:01  yogib
- initial version
